SolidWorks Application Programming Interface (API) can be used to automate and customize the SolidWorks software.   Below are some custom created API’s offered by our SolidWorks API developers.


Not a Subscription Services.customer? See what you are missing by viewing featured API's and other examples on our Featured Content Blog.




The following is a collection of SolidWorks sorted by category:


Category: Part/Assembly/Drawing
Copying an Assembly and Replacing its Child Components in the Copy (VBA)
How to modify and reference equations defined in assembly components
Remove Materials from all parts in an assembly
Add a Component And Smart Mate It
Close and Reopen a Drawing Document (VBA, VB.NET, C#)
PropertyManager Page Add-in Tutorial (C#/VB.NET, SolidWorks 2012)
SheetMetal:Using Multi-Body Flat Patterns In a Drawing
Check BOM Table Cells for Broken Link Values
Using ISldWorks.PostMessageToApplication from C#
Recursively List All Components using SolidWorks Document Manager
Find Features for Edges in Drawing Views (VBA, VB.NET, and C#)
Selectively Open Assembly
Using IComponent2::GetCorresponding in Assembly\Sub-Assembly\Part Hierarchy
Finding the Sketch Block Instance to Which a Sketch Segment Belongs
An explanation of the knot vector for periodic bsplines
How to move a table anchor's position (VBA)
How to access information about a hole generated by the Hole Wizard (VBA, VB.NET, C#)
How to change position of dimensions in drawings (VBA, VB.NET, C#)
How to move all dimensions in a drawing to another layer (VBA, VB.NET, C#)
How to get the parent component of a selected assembly component (VBA, VB.NET, C#)
Determining whether an assembly component is being edited in-context (VBA, VB.NET, C#)
How to replace an assembly component with a component from a different path (VBA, VB.NET, C#)
How to re-position a view in a drawing (VBA, VB.NET, C#)
How to reload a drawing sheet format (VBA, VB.NET, C#)
How to change a drawing view to shaded (VBA, VB.NET, C#)
How to create a drawing of a flattened sheet metal part (VBA, VB.NET, C#)
How to export an assembly component to a Parasolid file (VBA, VB.NET, C#)
How to locate a model entity in the space of a drawing view (VBA, VB.NET, C#)
How to insert a SolidWorks BOM at a selected point in a drawing view (VBA, VB.NET, C#)
How to work with RapidDraft drawings (VBA, VB.NET, C#)
Insert Note Leader at Sketch Point (VBA, VB.NET, and C#)
How to create an empty drawing view
Delete All Notes on a Specified Layer (VBA, VB.NET, and C#)
Delete Selected Sheet and Add New Sheet (VBA, VB.NET, and C#)
Add Hole Callout to Hole in Drawing (VBA, VB.NET, and C#)
PropertyManager Page Add-in Tutorial (VB.NET/C#, SolidWorks 2010)
How to get assembly components and sub-components in the order that they appear in the FeatureManager design tree
Drawing into the OpenGL Context
Position a bubble tooltip in a Drawing
Adding multiple PropertyManager pages (x32)
Automating and customizing BOM tables (VBA)
Position a bubble tooltip in a Part or Assembly
Continuously capture images of a model on repaint notification (VBA)
How to Align Notes in a Drawing
Using PropertyManager pages to select model elements and store them as attributes (VB.NET add-in)
Add sheet metal bend information to drawing view notes (VBA)
Suppress all equations in an assembly
Draw Bend Lines in a Flat Pattern Drawing View
A variant of the "Get Components in Each BOM Table Row (VBA)" example for getting BOM table information from an assembly
Create User-Defined Popup Menus and Context-Sensitive Menu Icons
An example of renaming components
How to drag-and-drop with preview into SolidWorks
Creating equally spaced points on a curve
Create PropertyManager page containing an ActiveX control
Iterate over mates in an assembly
Get the mass properties for all configurations